Skip to main content
POST
/
environment
/
{environmentId}
/
checkGitFile
Check git file configuration is correct
curl --request POST \
  --url https://api.qovery.com/environment/{environmentId}/checkGitFile \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "git_repository": {
    "url": "https://github.com/Qovery/simple-node-app",
    "branch": "feat/text_xxx",
    "root_path": "/",
    "git_token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "files": [
    "<string>"
  ]
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string<uuid>
required

Environment ID

Body

application/json
git_repository
object
required
files
string[]
required

Response

Information about the image

The response is of type object.